Skip to main content
`Ctrl`+`K`

# numpy.ma.ravel

ma.ravel(self, order='C')

  Returns a 1D version of self, as a view.

  Parameters:
    order{‘C’, ‘F’, ‘A’, ‘K’}, optional

      The elements of a are read using this index order. ‘C’ means to index the elements in C-like order, with the last axis index changing fastest, back to the first axis index changing slowest. ‘F’ means to index the elements in Fortran-like index order, with the first index changing fastest, and the last index changing slowest. Note that the ‘C’ and ‘F’ options take no account of the memory layout of the underlying array, and only refer to the order of axis indexing. ‘A’ means to read the elements in Fortran-like index order if m is Fortran contiguous in memory, C-like order otherwise. ‘K’ means to read the elements in the order they occur in memory, except for reversing the data when strides are negative. By default, ‘C’ index order is used. (Masked arrays currently use ‘A’ on the data when ‘K’ is passed.)

  Returns:
    MaskedArray

      Output view is of shape `(self.size,)` (or `(np.ma.product(self.shape),)`).

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([[1,2,3],[4,5,6],[7,8,9]], mask=[0] + [1,0]*4)
      >>> x
      masked_array(
        data=[[1, --, 3],
              [--, 5, --],
              [7, --, 9]],
        mask=[[False,  True, False],
              [ True, False,  True],
              [False,  True, False]],
        fill_value=999999)
      >>> x.ravel()
      masked_array(data=[1, --, 3, --, 5, --, 7, --, 9],
                   mask=[False,  True, False,  True, False,  True, False,  True,
                         False],
             fill_value=999999)